summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 19f2174..dfa69c0 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -18,7 +18,13 @@
# Script to generate all required files from fresh svn checkout.
-
+pkg-config --version > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+ echo
+ echo "Could not find pkg-config, pkg.m4 macro is probably not installed."
+ echo
+ exit 1
+fi
autoreconf --install --force --verbose -I config